ChurchInfo 1.3.0 GET Request CartView.php erweiterte Rechte

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
7.2$0-$5k0.00

Es wurde eine kritische Schwachstelle in ChurchInfo 1.3.0 (Customer Relationship Management System) gefunden. Dabei betrifft es ein unbekannter Codeteil der Datei CartView.php der Komponente GET Request Handler. Mit der Manipulation mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwachstelle ausgenutzt werden. Im Rahmen von CWE wurde eine Klassifizierung als CWE-434 vorgenommen. Wie sich ein erfolgreicher Angriff genau auswirkt, ist nicht bekannt. Die Zusammenfassung von CVE lautet:

CartView.php in ChurchInfo 1.3.0 allows attackers to achieve remote code execution through insecure uploads. This requires authenticated access tot he ChurchInfo application. Once authenticated, a user can add names to their cart, and compose an email. Uploading an attachment for the email stores the attachment on the site in the /tmp_attach/ folder where it can be accessed with a GET request. There are no limitations on files that can be attached, allowing for malicious PHP code to be uploaded and interpreted by the server.

Die Schwachstelle wurde am 24.11.2022 publiziert. Bereitgestellt wird das Advisory unter github.com. Die Identifikation der Schwachstelle wird seit dem 02.11.2021 mit CVE-2021-43258 vorgenommen. Es sind technische Details sowie ein öffentlicher Exploit zur Schwachstelle bekannt. Als Angriffstechnik weist das MITRE ATT&CK Projekt die ID T1608.002 aus.

Er wird als proof-of-concept gehandelt. Der Exploit wird unter github.com zur Verfügung gestellt. Durch die Suche von inurl:CartView.php können potentiell verwundbare Systeme gefunden werden.

Es sind keine Informationen bezüglich Gegenmassnahmen bekannt. Der Einsatz eines alternativen Produkts bietet sich im Zweifelsfall an.

Produktinfo

Typ

Name

Lizenz

  • open-source

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 7.5
VulDB Meta Temp Score: 7.2

VulDB Base Score: 6.3
VulDB Temp Score: 5.7
VulDB Vector: 🔒
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 8.8
NVD Vector: 🔒

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Zuverlässigkeit: 🔍

Exploitinginfo

Klasse: Erweiterte Rechte
CWE: CWE-434 / CWE-284 / CWE-266
ATT&CK: T1608.002

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔒
Zugang: öffentlich
Status: Proof-of-Concept
Download: 🔒
Google Hack: 🔒

EPSS Score: 🔒
EPSS Percentile: 🔒

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔒

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: keine Massnahme bekannt
Status: 🔍

0-Day Time: 🔒

Patch: github.com

Timelineinfo

02.11.2021 CVE zugewiesen
24.11.2022 +387 Tage Advisory veröffentlicht
24.11.2022 +0 Tage VulDB Eintrag erstellt
22.12.2022 +28 Tage VulDB letzte Aktualisierung

Quelleninfo

Advisory: github.com
Status: Nicht definiert

CVE: CVE-2021-43258 (🔒)
scip Labs: https://www.scip.ch/?labs.20161013

Eintraginfo

Erstellt: 24.11.2022 07:45
Aktualisierung: 22.12.2022 17:31
Anpassungen: 24.11.2022 07:45 (41), 22.12.2022 17:24 (1), 22.12.2022 17:31 (11)
Komplett: 🔍

Diskussion

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Interested in the pricing of exploits?

See the underground prices here!